Bug 16945 - Syspref PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory
Summary: Syspref PatronSelfRegistration: Add note about setting PatronSelfRegistration...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-20 14:53 UTC by Marc Véron
Modified: 2017-12-07 22:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16945: PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory (1.53 KB, patch)
2016-07-20 15:00 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16945: PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory (1.58 KB, patch)
2016-07-21 10:48 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16945: PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory (1.64 KB, patch)
2016-07-21 13:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16945: PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory (1.64 KB, patch)
2016-07-21 13:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16945: PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory (1.70 KB, patch)
2016-07-21 17:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-07-20 14:53:32 UTC
In OPAC, patron self registration works only when PatronSelfRegistrationDefaultCategory is set to a valid patron category.

Add a note for PatronSelfRegistration on Home > Administration > System preferences.
Comment 1 Marc Véron 2016-07-20 15:00:54 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-07-21 10:48:08 UTC Comment hidden (obsolete)
Comment 3 Mark Tompsett 2016-07-21 13:14:29 UTC
Comment on attachment 53561 [details] [review]
Bug 16945: PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory

Review of attachment 53561 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
@@ +680,4 @@
>                choices:
>                    yes: Allow
>                    no: "Don't allow"
> +            - "library patrons to register or modify their account via the OPAC. Note: This needs PatronSelfRegistrationDefaultCategory to be set to a valid patron categroy code."

typo: category.
Comment 4 Marc Véron 2016-07-21 13:31:28 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2016-07-21 13:34:45 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-07-21 17:02:13 UTC
Created attachment 53597 [details] [review]
Bug 16945: PatronSelfRegistration: Add note about setting PatronSelfRegistrationDefaultCategory

In OPAC, patron self registration works only when
PatronSelfRegistrationDefaultCategory is set to a valid patron category.

This patch adds a note for
PatronSelfRegistration on Home > Administration > System preferences.

To test:
- Apply patch
- In staff client, search system preferences for PatronSelfRegistration
- Verify that note appears with PatronSelfRegistration

(Amended to fix typo, see comment #3, 2016-07-21 mv)

Signed-off-by: Claire Gravely <c.gravely@arts.ac.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2016-07-22 17:25:50 UTC
Pushed to master for 16.11, thanks Marc!
Comment 8 Frédéric Demians 2016-08-01 13:46:22 UTC
Pushed in 16.05. Will be in 16.05.02.